QwtPointArrayData< T >(3)

NAME
QwtPointArrayData< T > - Interface for iterating over two QVector<T> objects.

SYNOPSIS

#include <qwt_point_data.h>

Inherits QwtPointSeriesData.

  Public Member Functions
QwtPointArrayData (const QVector< T > &x, const QVector< T > &y)
QwtPointArrayData (const T *x, const T *y, size_t size)
virtual size_t size () const override
virtual QPointF sample (size_t index) const override
const QVector< T > & xData () const
const QVector< T > & yData () const

  Additional Inherited Members

Detailed Description

  template<typename T>
class QwtPointArrayData< T >" Interface for iterating over two QVector<T> objects.

Definition at line 22 of file qwt_point_data.h.

Constructor & Destructor Documentation

  template<typename T > QwtPointArrayData< T >::QwtPointArrayData (const QVector< T > & x, const QVector< T > & y)
Constructor

Parameters
    x Array of x values
    y Array of y values

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 200 of file qwt_point_data.h.

  template<typename T > QwtPointArrayData< T >::QwtPointArrayData (const T * x, const T * y, size_t size)
Constructor

Parameters
    x Array of x values
    y Array of y values
    size Size of the x and y arrays

See also
    QwtPlotCurve::setData(), QwtPlotCurve::setSamples()

Definition at line 216 of file qwt_point_data.h.

Member Function Documentation

  template<typename T > QPointF QwtPointArrayData< T >::sample (size_t index) const [override], [virtual]
Return the sample at position i

Parameters
    index Index

Returns
    Sample at position i

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 239 of file qwt_point_data.h.

  template<typename T > size_t QwtPointArrayData< T >::size [override], [virtual]

Returns
    Size of the data set

Reimplemented from QwtArraySeriesData< QPointF >.

Definition at line 227 of file qwt_point_data.h.

  template<typename T > const QVector< T > & QwtPointArrayData< T >::xData

Returns
    Array of the x-values

Definition at line 246 of file qwt_point_data.h.

  template<typename T > const QVector< T > & QwtPointArrayData< T >::yData

Returns
    Array of the y-values

Definition at line 253 of file qwt_point_data.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.